AsterNet Class Library (Sandcastle documentation)
AsterNet Class Library (Sandcastle documentation)
AsterNET.Manager.Action
AgentsAction Class
AgentsAction Constructor
AgentsAction Methods
AgentsAction Properties

| AgentsAction Class

The AgentsAction requests the state of all agents.
For each agent an AgentsEvent is generated. After the state of all agents has been reported an AgentsCompleteEvent is generated.
Available since Asterisk 1.2
Inheritance Hierarchy
System
Object
AsterNET.Manager.Action
ManagerAction
AsterNET.Manager.Action
ManagerActionEvent
AsterNET.Manager.Action
AgentsAction

Namespace: AsterNET.Manager.Action
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public class AgentsAction : ManagerActionEvent

    Public Class AgentsAction
    	Inherits ManagerActionEvent

    public ref class AgentsAction : public ManagerActionEvent

    type AgentsAction =
        class
            inherit ManagerActionEvent
        end

The AgentsAction type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| AgentsAction | Initializes a new instance of the AgentsAction class

Top
Methods

| Name | Description
--- | --- | ---
| ActionCompleteEventClass | (Overrides ManagerActionEvent ActionCompleteEventClass .)
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| ToString | (Inherited from ManagerAction.)

Top
Properties

| Name | Description
--- | --- | ---
| Action | Get the name of this action, i.e. "Agents". (Overrides ManagerAction Action.)
| ActionId | (Inherited from ManagerAction.)
| ProxyKey | You can use this as a simple authentication mechanism. Rather than have to login with a username & password, you can specify a ProxyKey that must be passed from a client before requests are processed. This is helpful in situations where you would like to authenticate and execute an action in a single step. (Inherited from ManagerAction.)
| Server | Specify a server to which to send your commands (x.x.x.x or hostname). This should match the server name specified in your config file's "host" entry. If you do not specify a server, the proxy will pick the first one it finds -- fine in single-server configurations. (Inherited from ManagerAction.)

Top
See Also

#### Reference

AsterNET.Manager.Action Namespace
AsterNET.Manager.Event
AgentsEvent
AsterNET.Manager.Event
AgentsCompleteEvent